diff --git a/gcc/c-family/c-common.c b/gcc/c-family/c-common.c
index abd96fb..184b485 100644
--- a/gcc/c-family/c-common.c
+++ b/gcc/c-family/c-common.c
@@ -987,7 +987,7 @@ fix_string_type (tree value)
      limit in C++98 Annex B is very large (65536) and is not normative,
      so we do not diagnose it (warn_overlength_strings is forced off
      in c_common_post_options).  */
-  if (warn_overlength_strings)
+  if (GCC_OPTION (warn_overlength_strings))
     {
       const int nchars_max = flag_isoc99 ? 4095 : 509;
       const int relevant_std = flag_isoc99 ? 99 : 90;
@@ -1019,7 +1019,7 @@ fix_string_type (tree value)
      unconditionally.  */
   i_type = build_index_type (size_int (nchars - 1));
   a_type = build_array_type (e_type, i_type);
-  if (c_dialect_cxx() || warn_write_strings)
+  if (c_dialect_cxx() || GCC_OPTION (warn_write_strings))
     a_type = c_build_qualified_type (a_type, TYPE_QUAL_CONST);
 
   TREE_TYPE (value) = a_type;
@@ -1515,7 +1515,7 @@ decl_constant_value_for_optimization (tree exp)
   if (c_dialect_cxx ())
     gcc_unreachable ();
 
-  if (!optimize
+  if (!GCC_OPTION (optimize)
       || TREE_CODE (exp) != VAR_DECL
       || TREE_CODE (TREE_TYPE (exp)) == ARRAY_TYPE
       || DECL_MODE (exp) == BLKmode)
@@ -1539,7 +1539,7 @@ decl_constant_value_for_optimization (tree exp)
 void
 constant_expression_warning (tree value)
 {
-  if (warn_overflow && pedantic
+  if (GCC_OPTION (warn_overflow) && GCC_OPTION (pedantic)
       && (TREE_CODE (value) == INTEGER_CST || TREE_CODE (value) == REAL_CST
 	  || TREE_CODE (value) == FIXED_CST
 	  || TREE_CODE (value) == VECTOR_CST
@@ -1831,7 +1831,7 @@ strict_aliasing_warning (tree otype, tree type, tree expr)
   STRIP_NOPS (expr);
   otype = TREE_TYPE (expr);
 
-  if (!(flag_strict_aliasing
+  if (!(GCC_OPTION (flag_strict_aliasing)
 	&& POINTER_TYPE_P (type)
 	&& POINTER_TYPE_P (otype)
 	&& !VOID_TYPE_P (TREE_TYPE (type)))
@@ -1840,13 +1840,13 @@ strict_aliasing_warning (tree otype, tree type, tree expr)
       || TYPE_REF_CAN_ALIAS_ALL (type))
     return false;
 
-  if ((warn_strict_aliasing > 1) && TREE_CODE (expr) == ADDR_EXPR
+  if ((GCC_OPTION (warn_strict_aliasing) > 1) && TREE_CODE (expr) == ADDR_EXPR
       && (DECL_P (TREE_OPERAND (expr, 0))
           || handled_component_p (TREE_OPERAND (expr, 0))))
     {
       /* Casting the address of an object to non void pointer. Warn
          if the cast breaks type based aliasing.  */
-      if (!COMPLETE_TYPE_P (TREE_TYPE (type)) && warn_strict_aliasing == 2)
+      if (!COMPLETE_TYPE_P (TREE_TYPE (type)) && GCC_OPTION (warn_strict_aliasing) == 2)
 	{
 	  warning (OPT_Wstrict_aliasing, "type-punning to incomplete type "
 		   "might break strict-aliasing rules");
@@ -1867,7 +1867,7 @@ strict_aliasing_warning (tree otype, tree type, tree expr)
 		       "pointer will break strict-aliasing rules");
 	      return true;
 	    }
-          else if (warn_strict_aliasing == 2
+          else if (GCC_OPTION (warn_strict_aliasing) == 2
 		   && !alias_sets_must_conflict_p (set1, set2))
 	    {
 	      warning (OPT_Wstrict_aliasing, "dereferencing type-punned "
@@ -1877,7 +1877,7 @@ strict_aliasing_warning (tree otype, tree type, tree expr)
         }
     }
   else
-    if ((warn_strict_aliasing == 1) && !VOID_TYPE_P (TREE_TYPE (otype)))
+    if ((GCC_OPTION (warn_strict_aliasing) == 1) && !VOID_TYPE_P (TREE_TYPE (otype)))
       {
         /* At this level, warn for any conversions, even if an address is
            not taken in the same statement.  This will likely produce many
@@ -2285,7 +2285,7 @@ vector_types_convertible_p (const_tree t1, const_tree t2, bool emit_lax_note)
      && (INTEGRAL_TYPE_P (TREE_TYPE (t1))
 	 == INTEGRAL_TYPE_P (TREE_TYPE (t2))));
 
-  if (!convertible_lax || flag_lax_vector_conversions)
+  if (!convertible_lax || GCC_OPTION (flag_lax_vector_conversions))
     return convertible_lax;
 
   if (TYPE_VECTOR_SUBPARTS (t1) == TYPE_VECTOR_SUBPARTS (t2)
@@ -2717,7 +2717,7 @@ conversion_warning (location_t loc, tree type, tree expr)
   tree expr_type = TREE_TYPE (expr);
   enum conversion_safety conversion_kind;
 
-  if (!warn_conversion && !warn_sign_conversion && !warn_float_conversion)
+  if (!GCC_OPTION (warn_conversion) && !GCC_OPTION (warn_sign_conversion) && !GCC_OPTION (warn_float_conversion))
     return;
 
   /* This may happen, because for LHS op= RHS we preevaluate
@@ -2822,7 +2822,7 @@ warnings_for_convert_and_check (location_t loc, tree type, tree expr,
 	warning_at (loc, OPT_Woverflow,
 		 "overflow in implicit constant conversion");
       /* No warning for converting 0x80000000 to int.  */
-      else if (pedantic
+      else if (GCC_OPTION (pedantic)
 	       && (TREE_CODE (TREE_TYPE (expr)) != INTEGER_TYPE
 		   || TYPE_PRECISION (TREE_TYPE (expr))
 		   != TYPE_PRECISION (type)))
@@ -4297,7 +4297,7 @@ shorten_compare (location_t loc, tree *op0_ptr, tree *op1_ptr,
 	     the comparison isn't an issue, so suppress the
 	     warning.  */
 	  bool warn = 
-	    warn_type_limits && !in_system_header_at (loc)
+	    GCC_OPTION (warn_type_limits) && !in_system_header_at (loc)
 	    && !(TREE_CODE (primop0) == INTEGER_CST
 		 && !TREE_OVERFLOW (convert (c_common_signed_type (type),
 					     primop0)))
@@ -4357,7 +4357,7 @@ pointer_int_sum (location_t loc, enum tree_code resultcode,
 
   if (TREE_CODE (TREE_TYPE (result_type)) == VOID_TYPE)
     {
-      if (complain && warn_pointer_arith)
+      if (complain && GCC_OPTION (warn_pointer_arith))
 	pedwarn (loc, OPT_Wpointer_arith,
 		 "pointer of type %<void *%> used in arithmetic");
       else if (!complain)
@@ -4366,7 +4366,7 @@ pointer_int_sum (location_t loc, enum tree_code resultcode,
     }
   else if (TREE_CODE (TREE_TYPE (result_type)) == FUNCTION_TYPE)
     {
-      if (complain && warn_pointer_arith)
+      if (complain && GCC_OPTION (warn_pointer_arith))
 	pedwarn (loc, OPT_Wpointer_arith,
 		 "pointer to a function used in arithmetic");
       else if (!complain)
@@ -4674,7 +4674,7 @@ c_common_truthvalue_conversion (location_t location, tree expr)
 
     case MODIFY_EXPR:
       if (!TREE_NO_WARNING (expr)
-	  && warn_parentheses)
+	  && GCC_OPTION (warn_parentheses))
 	{
 	  warning (OPT_Wparentheses,
 		   "suggest parentheses around assignment used as truth value");
@@ -4950,7 +4950,7 @@ c_sizeof_or_alignof_type (location_t loc,
     {
       if (is_sizeof)
 	{
-	  if (complain && warn_pointer_arith)
+	  if (complain && GCC_OPTION (warn_pointer_arith))
 	    pedwarn (loc, OPT_Wpointer_arith,
 		     "invalid application of %<sizeof%> to a function type");
           else if (!complain)
@@ -4974,7 +4974,7 @@ c_sizeof_or_alignof_type (location_t loc,
   else if (type_code == VOID_TYPE || type_code == ERROR_MARK)
     {
       if (type_code == VOID_TYPE
-	  && complain && warn_pointer_arith)
+	  && complain && GCC_OPTION (warn_pointer_arith))
 	pedwarn (loc, OPT_Wpointer_arith,
 		 "invalid application of %qs to a void type", op_name);
       else if (!complain)
@@ -5269,7 +5269,7 @@ c_define_builtins (tree va_list_ref_type_node, tree va_list_arg_type_node)
 
   build_common_builtin_nodes ();
 
-  if (flag_cilkplus)
+  if (GCC_OPTION (flag_cilkplus))
     cilk_init_builtins ();
 }
 
@@ -5296,7 +5296,7 @@ c_common_nodes_and_builtins (void)
   tree va_list_ref_type_node;
   tree va_list_arg_type_node;
 
-  build_common_tree_nodes (flag_signed_char, flag_short_double);
+  build_common_tree_nodes (GCC_OPTION (flag_signed_char), GCC_OPTION (flag_short_double));
 
   /* Define `int' and `char' first so that dbx will output them first.  */
   record_builtin_type (RID_INT, NULL, integer_type_node);
@@ -5708,7 +5708,7 @@ c_common_nodes_and_builtins (void)
       va_list_ref_type_node = build_reference_type (va_list_type_node);
     }
 
-  if (!flag_preprocess_only)
+  if (!GCC_OPTION (flag_preprocess_only))
     c_define_builtins (va_list_ref_type_node, va_list_arg_type_node);
 
   main_identifier_node = get_identifier ("main");
@@ -5822,8 +5822,8 @@ def_builtin_1 (enum built_in_function fncode,
   set_builtin_decl (fncode, decl, implicit_p);
 
   if (both_p
-      && !flag_no_builtin && !builtin_function_disabled_p (libname)
-      && !(nonansi_p && flag_no_nonansi_builtin))
+      && !GCC_OPTION (flag_no_builtin) && !builtin_function_disabled_p (libname)
+      && !(nonansi_p && GCC_OPTION (flag_no_nonansi_builtin)))
     add_builtin_function (libname, libtype, fncode, fnclass,
 			  NULL, fnattrs);
 }
@@ -6112,12 +6112,12 @@ match_case_to_enum_1 (tree key, tree type, tree label)
 
   if (TYPE_NAME (type) == 0)
     warning_at (DECL_SOURCE_LOCATION (CASE_LABEL (label)),
-		warn_switch ? OPT_Wswitch : OPT_Wswitch_enum,
+		GCC_OPTION (warn_switch) ? OPT_Wswitch : OPT_Wswitch_enum,
 		"case value %qs not in enumerated type",
 		buf);
   else
     warning_at (DECL_SOURCE_LOCATION (CASE_LABEL (label)),
-		warn_switch ? OPT_Wswitch : OPT_Wswitch_enum,
+		GCC_OPTION (warn_switch) ? OPT_Wswitch : OPT_Wswitch_enum,
 		"case value %qs not in enumerated type %qT",
 		buf, type);
 }
@@ -6171,7 +6171,7 @@ c_do_switch_warnings (splay_tree cases, location_t switch_location,
   splay_tree_node node;
   tree chain;
 
-  if (!warn_switch && !warn_switch_enum && !warn_switch_default)
+  if (!GCC_OPTION (warn_switch) && !GCC_OPTION (warn_switch_enum) && !GCC_OPTION (warn_switch_default))
     return;
 
   default_node = splay_tree_lookup (cases, (splay_tree_key) NULL);
@@ -6184,7 +6184,7 @@ c_do_switch_warnings (splay_tree cases, location_t switch_location,
     return;
 
   /* From here on, we only care about -Wswitch and -Wswitch-enum.  */
-  if (!warn_switch_enum && !warn_switch)
+  if (!GCC_OPTION (warn_switch_enum) && !GCC_OPTION (warn_switch))
     return;
 
   /* Check the cases.  Warn about case values which are not members of
@@ -6246,7 +6246,7 @@ c_do_switch_warnings (splay_tree cases, location_t switch_location,
 	 to warn using -Wswitch because -Wswitch is enabled by -Wall
 	 while -Wswitch-enum is explicit.  */
       warning_at (switch_location,
-		  (default_node || !warn_switch
+		  (default_node || !GCC_OPTION (warn_switch)
 		   ? OPT_Wswitch_enum
 		   : OPT_Wswitch),
 		  "enumeration value %qE not handled in switch",
@@ -7469,7 +7469,7 @@ check_cxx_fundamental_alignment_constraints (tree node,
   unsigned requested_alignment = 1U << align_log;
   unsigned max_align = 0;
 
-  if ((!(flags & ATTR_FLAG_CXX11) && !warn_cxx_compat)
+  if ((!(flags & ATTR_FLAG_CXX11) && !GCC_OPTION (warn_cxx_compat))
       || (node == NULL_TREE || node == error_mark_node))
     return true;
 
@@ -7928,9 +7928,9 @@ c_determine_visibility (tree decl)
   if (!DECL_VISIBILITY_SPECIFIED (decl))
     {
       if (visibility_options.inpragma
-	  || DECL_VISIBILITY (decl) != default_visibility)
+	  || DECL_VISIBILITY (decl) != GCC_OPTION (default_visibility))
 	{
-	  DECL_VISIBILITY (decl) = default_visibility;
+	  DECL_VISIBILITY (decl) = GCC_OPTION (default_visibility);
 	  DECL_VISIBILITY_SPECIFIED (decl) = visibility_options.inpragma;
 	  /* If visibility changed and DECL already has DECL_RTL, ensure
 	     symbol flags are updated.  */
@@ -7975,7 +7975,7 @@ handle_tls_model_attribute (tree *node, tree name, tree args,
   else if (!strcmp (TREE_STRING_POINTER (id), "initial-exec"))
     kind = TLS_MODEL_INITIAL_EXEC;
   else if (!strcmp (TREE_STRING_POINTER (id), "local-dynamic"))
-    kind = optimize ? TLS_MODEL_LOCAL_DYNAMIC : TLS_MODEL_GLOBAL_DYNAMIC;
+    kind = GCC_OPTION (optimize) ? TLS_MODEL_LOCAL_DYNAMIC : TLS_MODEL_GLOBAL_DYNAMIC;
   else if (!strcmp (TREE_STRING_POINTER (id), "global-dynamic"))
     kind = TLS_MODEL_GLOBAL_DYNAMIC;
   else
@@ -8777,7 +8777,7 @@ check_function_sentinel (const_tree fntype, int nargs, tree *argarray)
 	     as wide as a pointer, and we don't want to force
 	     users to cast the NULL they have written there.
 	     We warn with -Wstrict-null-sentinel, though.  */
-	  && (warn_strict_null_sentinel || null_node != sentinel))
+	  && (GCC_OPTION (warn_strict_null_sentinel) || null_node != sentinel))
 	warning (OPT_Wformat_, "missing sentinel in function call");
     }
 }
@@ -9108,7 +9108,7 @@ parse_optimize_options (tree args, bool attr_p)
   for (i = 1; i < opt_argc; i++)
     opt_argv[i] = (*optimize_args)[i];
 
-  saved_flag_strict_aliasing = flag_strict_aliasing;
+  saved_flag_strict_aliasing = GCC_OPTION (flag_strict_aliasing);
 
   /* Now parse the options.  */
   decode_cmdline_options_to_array_default_mask (opt_argc, opt_argv,
@@ -9121,7 +9121,7 @@ parse_optimize_options (tree args, bool attr_p)
   targetm.override_options_after_change();
 
   /* Don't allow changing -fstrict-aliasing.  */
-  flag_strict_aliasing = saved_flag_strict_aliasing;
+  GCC_OPTION (flag_strict_aliasing) = saved_flag_strict_aliasing;
 
   optimize_args->truncate (0);
   return ret;
@@ -9217,15 +9217,15 @@ check_function_arguments (const_tree fntype, int nargs, tree *argarray)
   /* Check for null being passed in a pointer argument that must be
      non-null.  We also need to do this if format checking is enabled.  */
 
-  if (warn_nonnull)
+  if (GCC_OPTION (warn_nonnull))
     check_function_nonnull (TYPE_ATTRIBUTES (fntype), nargs, argarray);
 
   /* Check for errors in format strings.  */
 
-  if (warn_format || warn_suggest_attribute_format)
+  if (GCC_OPTION (warn_format) || GCC_OPTION (warn_suggest_attribute_format))
     check_function_format (TYPE_ATTRIBUTES (fntype), nargs, argarray);
 
-  if (warn_format)
+  if (GCC_OPTION (warn_format))
     check_function_sentinel (fntype, nargs, argarray);
 }
 
@@ -9683,7 +9683,7 @@ c_cpp_error (cpp_reader *pfile ATTRIBUTE_UNUSED, int level, int reason,
       dlevel = DK_WARNING;
       break;
     case CPP_DL_PEDWARN:
-      if (flag_no_output && !flag_pedantic_errors)
+      if (flag_no_output && !GCC_OPTION (flag_pedantic_errors))
 	return false;
       dlevel = DK_PEDWARN;
       break;
@@ -9730,7 +9730,7 @@ c_common_to_target_charset (HOST_WIDE_INT c)
 
   uc = cpp_host_to_exec_charset (parse_in, uc);
 
-  if (flag_signed_char)
+  if (GCC_OPTION (flag_signed_char))
     return ((HOST_WIDE_INT)uc) << (HOST_BITS_PER_WIDE_INT - CHAR_TYPE_SIZE)
 			       >> (HOST_BITS_PER_WIDE_INT - CHAR_TYPE_SIZE);
   else
@@ -10043,7 +10043,7 @@ complete_array_type (tree *ptype, tree initial_value, bool do_default)
 
 	  if (vec_safe_is_empty (v))
 	    {
-	      if (pedantic)
+	      if (GCC_OPTION (pedantic))
 		failure = 3;
 	      maxindex = ssize_int (-1);
 	    }
@@ -11011,7 +11011,7 @@ warn_about_parentheses (location_t loc, enum tree_code code,
 			enum tree_code code_left, tree arg_left,
 			enum tree_code code_right, tree arg_right)
 {
-  if (!warn_parentheses)
+  if (!GCC_OPTION (warn_parentheses))
     return;
 
   /* This macro tests that the expression ARG with original tree code
@@ -11364,7 +11364,7 @@ do_warn_double_promotion (tree result_type, tree type1, tree type2,
 {
   tree source_type;
 
-  if (!warn_double_promotion)
+  if (!GCC_OPTION (warn_double_promotion))
     return;
   /* If the conversion will not occur at run-time, there is no need to
      warn about it.  */
@@ -11473,7 +11473,7 @@ record_locally_defined_typedef (tree decl)
 {
   struct c_language_function *l;
 
-  if (!warn_unused_local_typedefs
+  if (!GCC_OPTION (warn_unused_local_typedefs)
       || cfun == NULL
       /* if this is not a locally defined typedef then we are not
 	 interested.  */
@@ -11517,7 +11517,7 @@ maybe_warn_unused_local_typedefs (void)
   if ((l = (struct c_language_function *) cfun->language) == NULL)
     return;
 
-  if (warn_unused_local_typedefs
+  if (GCC_OPTION (warn_unused_local_typedefs)
       && errorcount == unused_local_typedefs_warn_count)
     {
       FOR_EACH_VEC_SAFE_ELT (l->local_typedefs, i, decl)
diff --git a/gcc/c-family/c-cppbuiltin.c b/gcc/c-family/c-cppbuiltin.c
index 2f2e7ba..cfeeba8 100644
--- a/gcc/c-family/c-cppbuiltin.c
+++ b/gcc/c-family/c-cppbuiltin.c
@@ -529,7 +529,7 @@ c_cpp_builtins_optimize_pragma (cpp_reader *pfile, tree prev_tree,
   bool cur_fast_math;
 
   /* -undef turns off target-specific built-ins.  */
-  if (flag_undef)
+  if (GCC_OPTION (flag_undef))
     return;
 
   /* Other target-independent built-ins determined by command-line
@@ -735,20 +735,20 @@ cpp_iec_559_value (void)
   if (flag_iso
       && !c_dialect_cxx ()
       && TARGET_FLT_EVAL_METHOD != 0
-      && flag_excess_precision_cmdline != EXCESS_PRECISION_STANDARD)
+      && GCC_OPTION (flag_excess_precision_cmdline) != EXCESS_PRECISION_STANDARD)
     ret = 0;
   if (flag_iso
       && !c_dialect_cxx ()
-      && flag_fp_contract_mode == FP_CONTRACT_FAST)
+      && GCC_OPTION (flag_fp_contract_mode) == FP_CONTRACT_FAST)
     ret = 0;
 
   /* Various options are contrary to IEEE 754 semantics.  */
-  if (flag_unsafe_math_optimizations
-      || flag_associative_math
-      || flag_reciprocal_math
-      || flag_finite_math_only
-      || !flag_signed_zeros
-      || flag_single_precision_constant)
+  if (GCC_OPTION (flag_unsafe_math_optimizations)
+      || GCC_OPTION (flag_associative_math)
+      || GCC_OPTION (flag_reciprocal_math)
+      || GCC_OPTION (flag_finite_math_only)
+      || !GCC_OPTION (flag_signed_zeros)
+      || GCC_OPTION (flag_single_precision_constant))
     ret = 0;
 
   /* If the target does not support IEEE 754 exceptions and rounding
@@ -768,7 +768,7 @@ cpp_iec_559_complex_value (void)
 
   /* Some options are contrary to the required default state of the
      CX_LIMITED_RANGE pragma.  */
-  if (flag_complex_method != 2)
+  if (GCC_OPTION (flag_complex_method) != 2)
     ret = 0;
 
   return ret;
@@ -779,7 +779,7 @@ void
 c_cpp_builtins (cpp_reader *pfile)
 {
   /* -undef turns off target-specific built-ins.  */
-  if (flag_undef)
+  if (GCC_OPTION (flag_undef))
     return;
 
   define_language_independent_builtin_macros (pfile);
@@ -796,25 +796,25 @@ c_cpp_builtins (cpp_reader *pfile)
 
   if (c_dialect_cxx ())
     {
-      if (flag_weak && SUPPORTS_ONE_ONLY)
+      if (GCC_OPTION (flag_weak) && SUPPORTS_ONE_ONLY)
 	cpp_define (pfile, "__GXX_WEAK__=1");
       else
 	cpp_define (pfile, "__GXX_WEAK__=0");
-      if (warn_deprecated)
+      if (GCC_OPTION (warn_deprecated))
 	cpp_define (pfile, "__DEPRECATED");
-      if (flag_rtti)
+      if (GCC_OPTION (flag_rtti))
 	cpp_define (pfile, "__GXX_RTTI");
       if (cxx_dialect >= cxx11)
         cpp_define (pfile, "__GXX_EXPERIMENTAL_CXX0X__");
     }
   /* Note that we define this for C as well, so that we know if
      __attribute__((cleanup)) will interface with EH.  */
-  if (flag_exceptions)
+  if (GCC_OPTION (flag_exceptions))
     cpp_define (pfile, "__EXCEPTIONS");
 
   /* Represents the C++ ABI version, always defined so it can be used while
      preprocessing C and assembler.  */
-  if (flag_abi_version == 0)
+  if (GCC_OPTION (flag_abi_version) == 0)
     /* Use a very large value so that:
 
 	 #if __GXX_ABI_VERSION >= <value for version X>
@@ -823,14 +823,14 @@ c_cpp_builtins (cpp_reader *pfile)
        "-fabi-version=0".  Do not use INT_MAX because that will be
        different from system to system.  */
     builtin_define_with_int_value ("__GXX_ABI_VERSION", 999999);
-  else if (flag_abi_version == 1)
+  else if (GCC_OPTION (flag_abi_version) == 1)
     /* Due to a historical accident, this version had the value
        "102".  */
     builtin_define_with_int_value ("__GXX_ABI_VERSION", 102);
   else
     /* Newer versions have values 1002, 1003, ....  */
     builtin_define_with_int_value ("__GXX_ABI_VERSION",
-				   1000 + flag_abi_version);
+				   1000 + GCC_OPTION (flag_abi_version));
 
   /* libgcc needs to know this.  */
   if (targetm_common.except_unwind_info (&global_options) == UI_SJLJ)
@@ -942,7 +942,7 @@ c_cpp_builtins (cpp_reader *pfile)
     }
 
   /* For libgcc-internal use only.  */
-  if (flag_building_libgcc)
+  if (GCC_OPTION (flag_building_libgcc))
     /* For libgcc enable-execute-stack.c.  */
     builtin_define_with_int_value ("__LIBGCC_TRAMPOLINE_SIZE__",
 				   TRAMPOLINE_SIZE);
@@ -952,18 +952,18 @@ c_cpp_builtins (cpp_reader *pfile)
   builtin_define_with_value ("__USER_LABEL_PREFIX__", user_label_prefix, 0);
 
   /* Misc.  */
-  if (flag_gnu89_inline)
+  if (GCC_OPTION (flag_gnu89_inline))
     cpp_define (pfile, "__GNUC_GNU_INLINE__");
   else
     cpp_define (pfile, "__GNUC_STDC_INLINE__");
 
-  if (flag_no_inline)
+  if (GCC_OPTION (flag_no_inline))
     cpp_define (pfile, "__NO_INLINE__");
 
   if (flag_iso)
     cpp_define (pfile, "__STRICT_ANSI__");
 
-  if (!flag_signed_char)
+  if (!GCC_OPTION (flag_signed_char))
     cpp_define (pfile, "__CHAR_UNSIGNED__");
 
   if (c_dialect_cxx () && TYPE_UNSIGNED (wchar_type_node))
@@ -977,7 +977,7 @@ c_cpp_builtins (cpp_reader *pfile)
 #endif
 
   /* Make the choice of ObjC runtime visible to source code.  */
-  if (c_dialect_objc () && flag_next_runtime)
+  if (c_dialect_objc () && GCC_OPTION (flag_next_runtime))
     cpp_define (pfile, "__NEXT_RUNTIME__");
 
   /* Show the availability of some target pragmas.  */
@@ -986,14 +986,14 @@ c_cpp_builtins (cpp_reader *pfile)
   /* Make the choice of the stack protector runtime visible to source code.
      The macro names and values here were chosen for compatibility with an
      earlier implementation, i.e. ProPolice.  */
-  if (flag_stack_protect == 3)
+  if (GCC_OPTION (flag_stack_protect) == 3)
     cpp_define (pfile, "__SSP_STRONG__=3");
-  if (flag_stack_protect == 2)
+  if (GCC_OPTION (flag_stack_protect) == 2)
     cpp_define (pfile, "__SSP_ALL__=2");
-  else if (flag_stack_protect == 1)
+  else if (GCC_OPTION (flag_stack_protect) == 1)
     cpp_define (pfile, "__SSP__=1");
 
-  if (flag_openmp)
+  if (GCC_OPTION (flag_openmp))
     cpp_define (pfile, "_OPENMP=201307");
 
   if (int128_integer_type_node != NULL_TREE)
diff --git a/gcc/c-family/c-format.c b/gcc/c-family/c-format.c
index cdc09c4..85a3129 100644
--- a/gcc/c-family/c-format.c
+++ b/gcc/c-family/c-format.c
@@ -331,7 +331,7 @@ decode_format_attr (tree args, function_format_info *info, int validated_p)
 /* Adjust a C standard version, which may be STD_C9L, to account for
    -Wno-long-long.  Returns other standard versions unchanged.  */
 #define ADJ_STD(VER)		((int) ((VER) == STD_C9L		      \
-				       ? (warn_long_long ? STD_C99 : STD_C89) \
+				       ? (GCC_OPTION (warn_long_long) ? STD_C99 : STD_C89) \
 				       : (VER)))
 
 /* Enum describing the kind of specifiers present in the format and
@@ -1004,7 +1004,7 @@ check_function_format (tree attrs, int nargs, tree *argarray)
 	  /* Yup; check it.  */
 	  function_format_info info;
 	  decode_format_attr (TREE_VALUE (a), &info, 1);
-	  if (warn_format)
+	  if (GCC_OPTION (warn_format))
 	    {
 	      /* FIXME: Rewrite all the internal functions in this file
 		 to use the ARGARRAY directly instead of constructing this
@@ -1015,7 +1015,7 @@ check_function_format (tree attrs, int nargs, tree *argarray)
 		params = tree_cons (NULL_TREE, argarray[i], params);
 	      check_format_info (&info, params);
 	    }
-	  if (warn_suggest_attribute_format && info.first_arg_num == 0
+	  if (GCC_OPTION (warn_suggest_attribute_format) && info.first_arg_num == 0
 	      && (format_types[info.format_type].flags
 		  & (int) FMT_FLAG_ARG_CONVERT))
 	    {
@@ -1163,7 +1163,7 @@ maybe_read_dollar_number (const char **format,
 	return 0;
     }
   *format = fcp + 1;
-  if (pedantic && !dollar_format_warned)
+  if (GCC_OPTION (pedantic) && !dollar_format_warned)
     {
       warning (OPT_Wformat_, "%s does not support %%n$ operand number formats",
 	       C_STD_NAME (STD_EXT));
@@ -1366,10 +1366,10 @@ check_format_info (function_format_info *info, tree params)
 	      params = TREE_CHAIN (params);
 	      ++arg_num;
 	    }
-	  if (params == 0 && warn_format_security)
+	  if (params == 0 && GCC_OPTION (warn_format_security))
 	    warning (OPT_Wformat_security,
 		     "format not a string literal and no format arguments");
-	  else if (params == 0 && warn_format_nonliteral)
+	  else if (params == 0 && GCC_OPTION (warn_format_nonliteral))
 	    warning (OPT_Wformat_nonliteral,
 		     "format not a string literal and no format arguments");
 	  else
@@ -1947,7 +1947,7 @@ check_format_info_main (format_check_results *res,
 	      flag_chars[i++] = fki->length_code_char;
 	      flag_chars[i] = 0;
 	    }
-	  if (pedantic)
+	  if (GCC_OPTION (pedantic))
 	    {
 	      /* Warn if the length modifier is non-standard.  */
 	      if (ADJ_STD (length_chars_std) > C_STD_VER)
@@ -2003,7 +2003,7 @@ check_format_info_main (format_check_results *res,
 		     format_char);
 	  continue;
 	}
-      if (pedantic)
+      if (GCC_OPTION (pedantic))
 	{
 	  if (ADJ_STD (fci->std) > C_STD_VER)
 	    warning (OPT_Wformat_, "%s does not support the %<%%%c%> %s format",
@@ -2027,7 +2027,7 @@ check_format_info_main (format_check_results *res,
 		d++;
 		continue;
 	      }
-	    if (pedantic)
+	    if (GCC_OPTION (pedantic))
 	      {
 		const format_flag_spec *t;
 		if (ADJ_STD (s->std) > C_STD_VER)
@@ -2098,7 +2098,7 @@ check_format_info_main (format_check_results *res,
 	}
 
       /* Give Y2K warnings.  */
-      if (warn_format_y2k)
+      if (GCC_OPTION (warn_format_y2k))
 	{
 	  int y2k_level = 0;
 	  if (strchr (fci->flags2, '4') != 0)
@@ -2154,7 +2154,7 @@ check_format_info_main (format_check_results *res,
                 params = TREE_CHAIN (params);
 	      continue;
 	    }
-	  else if (pedantic
+	  else if (GCC_OPTION (pedantic)
 		   /* Warn if non-standard, provided it is more non-standard
 		      than the length and type characters that may already
 		      have been warned for.  */
@@ -2372,7 +2372,7 @@ check_format_types (format_wanted_type *types)
 		 indirection, then this makes the types technically
 		 incompatible.  */
 	      if (i > 0
-		  && pedantic
+		  && GCC_OPTION (pedantic)
 		  && (TYPE_READONLY (cur_type)
 		      || TYPE_VOLATILE (cur_type)
 		      || TYPE_ATOMIC (cur_type)
@@ -2410,7 +2410,7 @@ check_format_types (format_wanted_type *types)
 	 With -Wpedantic, only allow pointers to void and to character
 	 types.  */
       if (wanted_type == void_type_node
-	  && (!pedantic || (i == 1 && char_type_flag)))
+	  && (!GCC_OPTION (pedantic) || (i == 1 && char_type_flag)))
 	continue;
       /* Don't warn about differences merely in signedness, unless
 	 -Wpedantic.  With -Wpedantic, warn if the type is a pointer
@@ -2418,7 +2418,7 @@ check_format_types (format_wanted_type *types)
 	 a second level of indirection.  */
       if (TREE_CODE (wanted_type) == INTEGER_TYPE
 	  && TREE_CODE (cur_type) == INTEGER_TYPE
-	  && (!pedantic || i == 0 || (i == 1 && char_type_flag))
+	  && (!GCC_OPTION (pedantic) || i == 0 || (i == 1 && char_type_flag))
 	  && (TYPE_UNSIGNED (wanted_type)
 	      ? wanted_type == c_common_unsigned_type (cur_type)
 	      : wanted_type == c_common_signed_type (cur_type)))
@@ -2426,7 +2426,7 @@ check_format_types (format_wanted_type *types)
       /* Likewise, "signed char", "unsigned char" and "char" are
 	 equivalent but the above test won't consider them equivalent.  */
       if (wanted_type == char_type_node
-	  && (!pedantic || i < 2)
+	  && (!GCC_OPTION (pedantic) || i < 2)
 	  && char_type_flag)
 	continue;
       if (types->scalar_identity_flag
diff --git a/gcc/c-family/c-gimplify.c b/gcc/c-family/c-gimplify.c
index 737be4d..49460f67 100644
--- a/gcc/c-family/c-gimplify.c
+++ b/gcc/c-family/c-gimplify.c
@@ -187,7 +187,7 @@ c_gimplify_expr (tree *expr_p, gimple_seq *pre_p ATTRIBUTE_UNUSED,
 	  && !DECL_EXTERNAL (DECL_EXPR_DECL (*expr_p))
 	  && !TREE_STATIC (DECL_EXPR_DECL (*expr_p))
 	  && (DECL_INITIAL (DECL_EXPR_DECL (*expr_p)) == DECL_EXPR_DECL (*expr_p))
-	  && !warn_init_self)
+	  && !GCC_OPTION (warn_init_self))
 	TREE_NO_WARNING (DECL_EXPR_DECL (*expr_p)) = 1;
       break;
 
@@ -200,7 +200,7 @@ c_gimplify_expr (tree *expr_p, gimple_seq *pre_p ATTRIBUTE_UNUSED,
 	if (INTEGRAL_TYPE_P (type) && c_promoting_integer_type_p (type))
 	  {
 	    if (TYPE_OVERFLOW_UNDEFINED (type)
-		|| ((flag_sanitize & SANITIZE_SI_OVERFLOW)
+		|| ((GCC_OPTION (flag_sanitize) & SANITIZE_SI_OVERFLOW)
 		    && !TYPE_OVERFLOW_WRAPS (type)))
 	      type = unsigned_type_for (type);
 	    return gimplify_self_mod_expr (expr_p, pre_p, post_p, 1, type);
diff --git a/gcc/c-family/c-lex.c b/gcc/c-family/c-lex.c
index e3e1da2..007d2d2 100644
--- a/gcc/c-family/c-lex.c
+++ b/gcc/c-family/c-lex.c
@@ -71,7 +71,7 @@ init_c_lex (void)
   /* The get_fileinfo data structure must be initialized before
      cpp_read_main_file is called.  */
   toplevel = get_fileinfo ("<top level>");
-  if (flag_detailed_statistics)
+  if (GCC_OPTION (flag_detailed_statistics))
     {
       header_time = 0;
       body_time = get_run_time ();
@@ -87,10 +87,10 @@ init_c_lex (void)
   cb->read_pch = c_common_read_pch;
 
   /* Set the debug callbacks if we can use them.  */
-  if ((debug_info_level == DINFO_LEVEL_VERBOSE
-       && (write_symbols == DWARF2_DEBUG
-	   || write_symbols == VMS_AND_DWARF2_DEBUG))
-      || flag_dump_go_spec != NULL)
+  if ((GCC_OPTION (debug_info_level) == DINFO_LEVEL_VERBOSE
+       && (GCC_OPTION (write_symbols) == DWARF2_DEBUG
+	   || GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG))
+      || GCC_OPTION (flag_dump_go_spec) != NULL)
     {
       cb->define = cb_define;
       cb->undef = cb_undef;
@@ -126,7 +126,7 @@ update_header_times (const char *name)
 {
   /* Changing files again.  This means currently collected time
      is charged against header time, and body time starts back at 0.  */
-  if (flag_detailed_statistics)
+  if (GCC_OPTION (flag_detailed_statistics))
     {
       int this_time = get_run_time ();
       struct c_fileinfo *file = get_fileinfo (name);
@@ -166,7 +166,7 @@ cb_ident (cpp_reader * ARG_UNUSED (pfile),
 	  unsigned int ARG_UNUSED (line),
 	  const cpp_string * ARG_UNUSED (str))
 {
-  if (!flag_no_ident)
+  if (!GCC_OPTION (flag_no_ident))
     {
       /* Convert escapes in the string.  */
       cpp_string cstr = { 0, 0 };
@@ -243,7 +243,7 @@ cb_def_pragma (cpp_reader *pfile, source_location loc)
   /* Issue a warning message if we have been asked to do so.  Ignore
      unknown pragmas in system headers unless an explicit
      -Wunknown-pragmas has been given.  */
-  if (warn_unknown_pragmas > in_system_header_at (input_location))
+  if (GCC_OPTION (warn_unknown_pragmas) > in_system_header_at (input_location))
     {
       const unsigned char *space, *name;
       const cpp_token *s;
@@ -748,7 +748,7 @@ interpret_float (const cpp_token *token, unsigned int flags,
     else if ((flags & CPP_N_WIDTH) == CPP_N_LARGE)
       type = long_double_type_node;
     else if ((flags & CPP_N_WIDTH) == CPP_N_SMALL
-	     || flag_single_precision_constant)
+	     || GCC_OPTION (flag_single_precision_constant))
       type = float_type_node;
     else
       type = double_type_node;
